Avro C++

Public Member Functions | Protected Member Functions | List of all members
avro::GenericContainer Class Reference

The base class for all generic type for containers. More...

`#include <GenericDatum.hh>`

Inheritance diagram for avro::GenericContainer:

## Public Member Functions
const NodePtr & | schema () const
| Returns the schema for this object.

## Protected Member Functions
| GenericContainer (Type type, const NodePtr &s)
| Constructs a container corresponding to the given schema.

## Detailed Description

The base class for all generic type for containers.

The documentation for this class was generated from the following file:

- api/GenericDatum.hh